Page MenuHomePhabricator

Add variables for some basic file metadata when uploading (width, height, bitrate)
Closed, ResolvedPublic

Description

Add variables for some basic file metadata when uploading (width, height, bitrate). We currently only have file_sha1 and file_size.

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterAdd more file_* variables for file metadata

Event Timeline

matmarex created this task.Apr 3 2016, 12:16 AM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptApr 3 2016, 12:16 AM
matmarex renamed this task from Add variables for some basic file metadata when uploading (width, height, bitrate) to Add variables for some basic file metadata when uploading (width, height, bitrate, number of pages/frames).Apr 3 2016, 12:18 AM
matmarex added a parent task: Restricted Task.

Change 281503 had a related patch set uploaded (by Bartosz Dziewoński):
Add more file_* variables for file metadata

https://gerrit.wikimedia.org/r/281503

This comment was removed by matmarex.
matmarex claimed this task.Apr 4 2016, 10:01 PM
matmarex triaged this task as Medium priority.

Change 281503 merged by jenkins-bot:
Add more file_* variables for file metadata

https://gerrit.wikimedia.org/r/281503

matmarex closed this task as Resolved.Apr 5 2016, 8:32 PM
matmarex removed a project: Patch-For-Review.

This has been fixed and the fix will be deployed to Wikimedia wikis next week with MediaWiki version 1.27.0-wmf.21, per https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap. It should reach Commons on Wednesday, 13 April 2016.

This narrowly missed 1.27.0-wmf.20. @Steinsplitter If you anticipate this being useful in the Zero uploads case, let me know and I'll have it backported (to be deployed Wednesday, 06 April 2016).

@matmarex: Thanks a lot for adding this new params! <3

He7d3r added a subscriber: He7d3r.Apr 11 2016, 11:28 AM
Dispenser reopened this task as Open.Jan 7 2017, 12:04 AM
Dispenser added a subscriber: Dispenser.

Could we add file_framecount for PNG/GIF files? This would improve the filters. Also run time for video would be nice.

Aklapper closed this task as Resolved.Jan 8 2017, 8:50 PM

@Dispenser: Please file a new separate enhancement request for an increased task scope. Thanks!

It sounds like a sensible idea, I don't know how easy it is to do but I could go find out. Please file another task :)

The title does say "number of pages/frames"

matmarex renamed this task from Add variables for some basic file metadata when uploading (width, height, bitrate, number of pages/frames) to Add variables for some basic file metadata when uploading (width, height, bitrate).Jan 10 2017, 7:17 PM